Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Service_Config.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Default_Constants.h"`
`#include "ace/Unbounded_Queue.h"`
`#include "ace/Unbounded_Set.h"`
`#include "ace/SString.h"`
`#include "ace/XML_Svc_Conf.h"`
`#include "ace/Service_Config.i"`
`#include "ace/Reactor.h"`
`#include "ace/Svc_Conf_Tokens.h"`

Include dependency graph for Service_Config.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Service_Config
| Supplies common server operations for dynamic and static configuration of services. More...
class | ACE_Static_Svc_Descriptor
| Holds the information necessary to describe a statically linked Svc. More...
## Defines
#define | ACE_Component_Config ACE_Service_Config
## Typedefs
typedef ACE_Service_Object *(* | ACE_SERVICE_ALLOCATOR )(ACE_Service_Object_Exterminator *)
typedef ACE_Unbounded_Set< ACE_Static_Svc_Descriptor * > | ACE_STATIC_SVCS
typedef ACE_Unbounded_Set_Iterator< ACE_Static_Svc_Descriptor * > | ACE_STATIC_SVCS_ITERATOR
typedef ACE_Unbounded_Queue< ACE_TString > | ACE_SVC_QUEUE
typedef ACE_Unbounded_Queue_Iterator< ACE_TString > | ACE_SVC_QUEUE_ITERATOR

## Detailed Description

Id:
  Service_Config.h,v 4.84 2003/11/07 20:27:28 shuston Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Define Documentation

#define ACE_Component_Config ACE_Service_Config

## Typedef Documentation

typedef ACE_Service_Object*(* ACE_SERVICE_ALLOCATOR)(ACE_Service_Object_Exterminator *)

typedef ACE_Unbounded_Set<ACE_Static_Svc_Descriptor *> ACE_STATIC_SVCS

typedef ACE_Unbounded_Set_Iterator<ACE_Static_Svc_Descriptor *> ACE_STATIC_SVCS_ITERATOR

typedef ACE_Unbounded_Queue<ACE_TString> ACE_SVC_QUEUE

typedef ACE_Unbounded_Queue_Iterator<ACE_TString> ACE_SVC_QUEUE_ITERATOR